Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226748 - termcap is obsolete
Summary: termcap is obsolete
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: termcap
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Lichvar
QA Contact:
URL:
Whiteboard:
Depends On: 223781 226753 226754 226755 226757 226759 226760 226761 226762 226763 226764 226765 226766 226768 226769 226770 226771 226773 226774 226775 231195 231197 231198 231199 231203 231204 231209 251158
Blocks: F8Target
TreeView+ depends on / blocked
 
Reported: 2007-02-01 13:56 UTC by Miroslav Lichvar
Modified: 2013-01-10 04:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-12-12 17:54:32 UTC


Attachments (Terms of Use)

Description Miroslav Lichvar 2007-02-01 13:56:58 UTC
Description of problem:

Remove termcap, it's an obsolete system for describing terminal capabilities.
Use ncurses with terminfo everywhere.

Comment 1 Penelope Fudd 2007-02-06 06:33:22 UTC
Vim still uses it.

Comment 2 Miroslav Lichvar 2007-02-06 08:28:48 UTC
This is only about devel branch, vim is linked with ncurses there.

Comment 3 Jesse Keating 2007-03-15 14:41:59 UTC
Looks like there are still some open bugs on this, we should complete this
before the feature freeze.  What is the overall status?

Comment 4 Miroslav Lichvar 2007-03-15 14:59:48 UTC
There are only few buildrequires left and one libtermcap-devel requirement in
R-devel package.

Comment 5 Miroslav Lichvar 2007-12-12 17:54:32 UTC
termcap and libtermcap packages are now retired.


Note You need to log in before you can comment on or make changes to this bug.